<mat-card class="container">
  <h3 class="titre">Génération des cartes VA </h3>
  <h5 class="titre">
    Informations: cette page est utilisée pour générer les codes VA (une seule fois par an),
    après avoir généré les codes, ils sont utilisés pour imprimer les cartes.
  </h5>
  <h5 class="titre"><em>Si vous avez généré des codes involontairement ou par erreur, merci de le signaler
    et de fournir la liste des code générés.</em></h5>
  <div class="card-parent">
    <div class="d-flex justify-content-around input-code">
      <div>
        <mat-label>Nombre de carte à générer:</mat-label>
        <input #nbCardInput matInput placeholder="ex: 10" type="number">
      </div>
      <button (click)="generateCode(nbCardInput.value)" color="primary" mat-raised-button>Générer les codes</button>
    </div>
    <button (click)="exporter.exportTable('csv')" *ngIf="this.dataSource" class="export" color="primary"
            mat-raised-button>Exporter le tableau en CSV
    </button>
    <table #exporter="matTableExporter" [dataSource]="dataSource" mat-table matTableExporter>
      <!-- NUMERO -->
      <ng-container matColumnDef="numero">
        <th *matHeaderCellDef mat-header-cell> N°</th>
        <td *matCellDef="let carteVA" mat-cell> {{carteVA.numero}} </td>
      </ng-container>
      <!-- CODE BARRE -->
      <ng-container matColumnDef="code">
        <th *matHeaderCellDef mat-header-cell> Code barre</th>
        <td *matCellDef="let carteVA" mat-cell> {{carteVA.code}} </td>
      </ng-container>

      <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
      <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
    </table>
  </div>
</mat-card>
